Package com.sas.lsaf.content.workspace

## Class WorkspaceItemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.content.workspace.WorkspaceItemException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `WorkspaceItemCopyException`, `WorkspaceItemDeleteException`, `WorkspaceItemExistsException`, `WorkspaceItemMoveException`, `WorkspaceItemNotFoundException`, `WorkspaceMarkForAddException`

      public abstract class WorkspaceItemException
      extends AbstractCheckedException

  The root of the hierarchy of all workspace item checked exceptions.

  This class is abstract because this exception should not be constructed directly. Rather, a more detailed subclass should be constructed and thrown.

  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkspaceItemException​(java.lang.String path, java.lang.String message)` | Constructs a `WorkspaceItemException` with the specified path and message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` | Gets the path of the workspace item that caused the exception.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkspaceItemException

          public WorkspaceItemException​(java.lang.String path,
                                        java.lang.String message)

      Constructs a `WorkspaceItemException` with the specified path and message.
      Parameters:
        `path` - the path of the workspace item.
        `message` - the detail message (which is saved for later retrieval by the `AbstractCheckedException.getMessage()` method).

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path of the workspace item that caused the exception.
      Returns:
        The path of the workspace item that caused the exception.